Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTsciiCodec Class Reference

The QTsciiCodec class provides conversion to and from the Tamil TSCII encoding. More...

    #include <QTsciiCodec>

Inherits QTextCodec.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- 15 public functions inherited from QTextCodec

### Static Public Members

- 13 static public members inherited from QTextCodec

### Static Protected Members

- 1 static protected member inherited from QTextCodec

## Detailed Description

The QTsciiCodec class provides conversion to and from the Tamil TSCII encoding.

TSCII, formally the Tamil Standard Code Information Interchange specification, is a commonly used charset for Tamils. The official page for the standard is at http://www.tamil.net/tscii/

This codec uses the mapping table found at http://www.geocities.com/Athens/5180/tsciiset.html. Tamil uses composed Unicode which might cause some problems if you are using Unicode fonts instead of TSCII fonts.

Most of the code here was written by Hans Petter Bieker and is included in Qt with the author's permission and the grateful thanks of the Trolltech team. Here is the copyright statement for the code as it was at the point of contribution. Trolltech's subsequent modifications are covered by the usual copyright for Qt.

Copyright (C) 2000 Hans Petter Bieker. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.